com.google.gwt.uibinder.elementparsers

## Class BeanParser

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.BeanParser

All Implemented Interfaces:
  ElementParser

    public class BeanParser
    extends java.lang.Object
    implements ElementParser

Utility methods for discovering bean-like properties and generating code to initialize them.

### Constructor Summary

Constructors
Constructor and Description
`BeanParser(com.google.gwt.uibinder.rebind.UiBinderContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `parse(com.google.gwt.uibinder.rebind.XMLElement elem, java.lang.String fieldName, JClassType type, com.google.gwt.uibinder.rebind.UiBinderWriter writer)` Generates code to initialize all bean attributes on the given element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanParser

    public BeanParser(com.google.gwt.uibinder.rebind.UiBinderContext context)

### Method Detail

#### parse

    public void parse(com.google.gwt.uibinder.rebind.XMLElement elem,
                      java.lang.String fieldName,
                      JClassType type,
                      com.google.gwt.uibinder.rebind.UiBinderWriter writer)
               throws UnableToCompleteException

Generates code to initialize all bean attributes on the given element. Includes support for <ui:attribute /> children that will apply to setters

Specified by:
  `parse` in interface `ElementParser`
Parameters:
  `elem` - the element to be parsed
  `fieldName` - the name of the widget field to be initialized
  `type` - TODO
  `writer` - the writer
Throws:
  `UnableToCompleteException`